<mat-expansion-panel class="border-b border-gray-400" [ngClass]="{'outdated': marketValueStale || lastRateStale || currentRateStale }">
    <mat-expansion-panel-header>
        <mat-panel-title fxLayout="row" fxLayoutAlign="start center">
            <div fxFlex="0 0 25%">
                <button mat-icon-button
                    (click)="goToForm()">
                    <mat-icon>edit</mat-icon>
                </button>
                {{ position.name }}
            </div>
            <div fxFlex="0 0 50%" fxLayout="row" fxLayoutAlign="start center" class="gap-x-1">
                <mat-icon *ngIf="marketValueStale" #tooltip="matTooltip"
                          [matTooltip]="'OUTDATED' | translate" color="primary">
                          elderly
                </mat-icon>
                <app-in-place-input
                    [value]="currentItemValueInMainCurrency"
                    [required]="true"
                    (onSubmit)="onChangedValue($event)">
                </app-in-place-input>
                {{ mainCurrency?.name }}
                <div *ngIf="hasLastValue" fxLayout="row" fxLayoutAlign="start center" class="gap-x-1"
                    [ngClass]="{'positive-change' : currentItemValueInMainCurrency > lastItemValueInMainCurrency,
                                'negative-change' : currentItemValueInMainCurrency < lastItemValueInMainCurrency }">
                    <mat-icon>{{ currentItemValueInMainCurrency > lastItemValueInMainCurrency ? 'trending_up' : 
                        currentItemValueInMainCurrency < lastItemValueInMainCurrency ? 'trending_down' : 'trending_flat' }}
                    </mat-icon>
                    {{ (valueChangePerc | number: '1.2-2') + '&nbsp;%'}}
                </div>
                {{' x '}}{{ position.currentQuantity | number: '1.2-2' }}{{' ' + ('PIECES_SHORT' | translate)}}
                <div fxLayout="row" fxLayoutAlign="start center" class="gap-x-1"
                     *ngIf="hasLastQty"
                     [ngClass]="{'positive-change' : qtyChangePerc> 0,
                     'negative-change' : qtyChangePerc < 0 }">
                    <mat-icon>{{ qtyChangePerc > 0 ? 'trending_up' : 
                                    qtyChangePerc < 0 ? 'trending_down' : 'trending_flat' }}
                    </mat-icon>
                    {{ (qtyChangePerc | number: '1.2-2') + '&nbsp;%'}}
                </div>
            </div>
            <div fxFlex="auto" fxFlexFill></div>
            <div fxFlex="0 0 15%">
                <button mat-icon-button
                        (click)="goToBuy()">
                    <mat-icon>add</mat-icon>
                </button>
                <button mat-icon-button
                        (click)="goToSell()">
                    <mat-icon>remove</mat-icon>
                </button>
                <button mat-icon-button
                        (click)="onDelete(position)">
                    <mat-icon>delete</mat-icon>
                </button>
            </div>
        </mat-panel-title>
    </mat-expansion-panel-header>
    <div fxLayout="column" fxLayoutAlign="center start">
        <div>
            <div fxLayout="column" fxLayoutAlign="center start">
                <div fxLayout="row" fxLayoutAlign="start center">
                    <div fxLayout="row" fxLayoutAlign="start center">
                        {{ currentDateFormatted }}:
                        {{ currentMarketValue?.value | number: '1.2-2' }}
                        {{ currentCurrency?.name }}
                    </div>
                    <div *ngIf="mainCurrency && mainCurrency?.id !== currentCurrency?.id && currentRate"
                         class="ml-2 border-l pl-2"
                         fxLayout="row" fxLayoutAlign="start center">
                        {{ currentItemValueInMainCurrency | number: '1.2-2' }}
                        {{ mainCurrency.name }} (@{{currentRate?.rate | number: '1.2-2'}}
                        <sup>{{currentCurrency?.name}}</sup>/<sub>{{mainCurrency.name}}</sub>)
                        {{ currentRateDate }}
                        <mat-icon *ngIf="currentRateStale" #tooltip="matTooltip"
                        [matTooltip]="'RATE_STALE_INTERVAL' | translate" color="primary">
                        elderly</mat-icon>
                    </div>
                </div>
                <div fxLayout="row" fxLayoutAlign="start center" *ngIf="hasLastValue">
                    <div fxLayout="row" fxLayoutAlign="start center">
                        {{ lastDateFormatted }}:
                        {{ lastMarketValue?.value | number: '1.2-2' }}
                        {{ lastCurrency?.name }}
                    </div>
                    <div *ngIf="mainCurrency && mainCurrency?.id !== lastCurrency?.id && lastRate"
                         fxLayout="row" fxLayoutAlign="start center">
                        {{ lastItemValueInMainCurrency | number: '1.2-2' }}
                        {{ mainCurrency.name }} (@{{lastRate?.rate | number: '1.2-2'}}
                        <sup>{{lastCurrency?.name}}</sup>/<sub>{{mainCurrency.name}}</sub>)
                        {{ lastRateDate }}
                        <mat-icon *ngIf="lastRateStale" #tooltip="matTooltip"
                        [matTooltip]="'RATE_STALE_INTERVAL' | translate" color="primary">
                        elderly</mat-icon>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <div fxLayout="row" fxLayoutAlign="start center">
                <mat-label>{{ 'POSITIONS.TAGS' | translate }}{{': '}}</mat-label>
                <mat-chip-list #chipList aria-label="Tag selection">
                    <mat-chip
                        *ngFor="let tag of position.tags">
                        {{tag}}
                    </mat-chip>
                </mat-chip-list>
            </div>
        </div>
    </div>
</mat-expansion-panel>